Skip to main content
GET
Finds loyalty cards by member ID and state

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Query Parameters

memberId
string
required

Member ID

state
enum<string>

Optional loyalty card state filter

Available options:
Inactive,
Active

Response

OK

cardId
string
required

Loyalty card ID

Minimum string length: 1
memberId
string
required

Member ID who owns the card

Minimum string length: 1
state
enum<string>
required
Available options:
Inactive,
Active
type
enum<string>
required
Available options:
Physical,
Virtual
createdAt
string<date-time>
required

Date and time when the card was created

updatedAt
string<date-time>
required

Date and time when the card was last updated

cardHolderType
string
required

Type of cardholder (e.g., Member, Employee)

Minimum string length: 1
displayName
string | null

Display name for the loyalty card in the mobile app

Last modified on August 10, 2026